# Ensures the good template is used depending on platform.
win32-msvc* {
    TEMPLATE = vcapp
} else {
    TEMPLATE = app
}

TARGET=arcseditor
INCLUDEPATH = ../../include
LIBS+= -L../../lib -larcs
DESTDIR= ../../bin
CONFIG+=RESOURCES
QT += xml
# Directories

contains(QT_VERSION,^5..*) {
    message("Qt5 detected");
    QT+=widgets
}


SOURCES += \
    main.cpp \
    maineditor.cpp \
    applicationview.cpp \
    newcomponentdialog.cpp \
    editcomponentwidget.cpp \
    logview.cpp \
    applicationitems.cpp \
    sheetview.cpp \
    graphicscomponentitem.cpp \
    graphicsportitem.cpp \
    portdialog.cpp \
    graphicslinkitem.cpp \
    graphicsinvocationitem.cpp \
    invocationdialog.cpp \
    stringlistvalidator.cpp \
    orderinvocationsdialog.cpp \
    orderconnectionsdialog.cpp

HEADERS += \
    maineditor.h \
    applicationview.h \
    newcomponentdialog.h \
    applicationitems.h \
    editcomponentwidget.h \
    logview.h \
    sheetview.h \
    graphicscomponentitem.h \
    graphicsportitem.h \
    portdialog.h \
    graphicslinkitem.h \
    graphicsinvocationitem.h \
    invocationdialog.h \
    stringlistvalidator.h \
    orderinvocationsdialog.h \
    orderconnectionsdialog.h

RESOURCES += \
    editor.qrc


MOC_DIR = ./moc
OBJECTS_DIR = ./obj

OTHER_FILES += \
    FEATURES.txt
