/*
  name: tools/editor/orderconnectionsdialog.h

  This file is part of ARCS - Augmented Reality Component System
  (version 2-current), written by Jean-Yves Didier 
  for IBISC Laboratory (http://www.ibisc.univ-evry.fr)

  Copyright (C) 2013  Universit d'Evry-Val d'Essonne

  This program is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with this program.  If not, see <http://www.gnu.org/licenses/>.


  Please send bugreports  with examples or suggestions to
  jean-yves.didier__at__ibisc.univ-evry.fr
*/


#ifndef __ORDERCONNECTIONSDIALOG_H__
#define __ORDERCONNECTIONSDIALOG_H__

#include <QDialog>
#include <arcs/arcssheet.h>
#include <QList>
#include <QPair>

class QTreeWidget;

class OrderConnectionsDialog : public QDialog
{
    Q_OBJECT
public:
    OrderConnectionsDialog(ARCSSheet* s,QWidget *parent = 0);
        
public slots:
    void moveUp();
    void moveDown();
    virtual void accept();




private:
    ARCSSheet* sheet;
    QTreeWidget* connectionTable;
    QList< QPair<int,int> > permutations;

};

#endif // __ORDERCONNECTIONSDIALOG_H__
